Skip to content

platform.removePlatformAdmin

DELETE
/v1/platform/admins/{email}
curl --request DELETE \
--url https://example.com/v1/platform/admins/example \
--header 'Authorization: Bearer <token>'
email
required
string

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Forbidden
action
required
string
kind
required
string
field
string
reason
string

Example

{
"_tag": "Forbidden"
}

PlatformAdminNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: PlatformAdminNotFound
email
required
string

Example

{
"_tag": "PlatformAdminNotFound"
}

LastPlatformAdmin | @nmnmcc/ability/Authorizer/Pending

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: LastPlatformAdmin

Example

{
"_tag": "LastPlatformAdmin"
}

PlatformUnavailable | OrganizationStorageUnavailable | AuthenticationUnavailable | RequestFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PlatformUnavailable

Example

{
"_tag": "PlatformUnavailable"
}